unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, RControl_TLB, OleCtrls;

type
  TfrmDemo = class(TForm)
    CRemoteC1: TCRemoteC;
    CRemoteS1: TCRemoteS;
    GroupBox1: TGroupBox;
    btnListen: TButton;
    btnStopListen: TButton;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Picture: TImage;
    Label2: TLabel;
    Label3: TLabel;
    txtIP: TEdit;
    btnConnect: TButton;
    btnBreak: TButton;
    btnOperation: TButton;
    btnStretch: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btnListenClick(Sender: TObject);
    procedure btnStopListenClick(Sender: TObject);
    procedure btnConnectClick(Sender: TObject);
    procedure OnCConnect(Sender: TObject);
    procedure OnCDisconnect(Sender: TObject);
    procedure btnBreakClick(Sender: TObject);
    procedure btnOperationClick(Sender: TObject);
    procedure btnStretchClick(Sender: TObject);
    procedure OnSConnected(ASender: TObject; const bstrIP,
      bstrText: WideString);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDemo: TfrmDemo;

implementation

{$R *.dfm}

procedure TfrmDemo.FormCreate(Sender: TObject);
begin
  btnBreak.Enabled:=false;
  btnStopListen.Enabled:=false;
  CRemoteC1.Operation:=false;
end;

procedure TfrmDemo.btnListenClick(Sender: TObject);
begin
  CRemoteS1.StartListen(5556);
  if(CRemoteS1.Listen) then
  begin
    btnListen.Enabled:=false;
    btnStopListen.Enabled:=true;
  end
end;

procedure TfrmDemo.btnStopListenClick(Sender: TObject);
begin
  btnStopListen.Enabled:=false;
  btnListen.Enabled:=true;
  CRemoteS1.StopListen();
end;

procedure TfrmDemo.btnConnectClick(Sender: TObject);
begin
  CRemoteC1.Connect(txtIP.Text,5556,'','','');
end;

procedure TfrmDemo.OnCConnect(Sender: TObject);
begin
  btnConnect.Enabled:=false;
  btnBreak.Enabled:=true;
end;

procedure TfrmDemo.OnCDisconnect(Sender: TObject);
begin
  btnConnect.Enabled:=true;
  btnBreak.Enabled:=false;
end;

procedure TfrmDemo.btnBreakClick(Sender: TObject);
begin
  btnBreak.Enabled:=false;
  btnConnect.Enabled:=true;
  CRemoteC1.Break;
end;

procedure TfrmDemo.btnOperationClick(Sender: TObject);
begin
  CRemoteC1.Operation:=not CRemoteC1.Operation;
end;

procedure TfrmDemo.btnStretchClick(Sender: TObject);
begin
  CRemoteC1.StretchMode:=not CRemoteC1.StretchMode;
end;

procedure TfrmDemo.OnSConnected(ASender: TObject; const bstrIP,
  bstrText: WideString);
begin
  CRemoteS1.SetPrivilege(bstrIP,true,true,true);
end;

end.
